Bug 181883

Summary: biology/fasta3: Update to version 36.3.6c
Product: Ports & Packages Reporter: tkato432
Component: Individual Port(s)Assignee: Pawel Pekala <pawel>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff
none
biology_fasta3.diff none

Description tkato432 2013-09-06 19:10:03 UTC
- Update to version 36.3.6c
Comment 1 Edwin Groothuis freebsd_committer 2013-09-06 19:12:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:11:52 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 tkato432 2013-10-29 17:50:31 UTC
Version 36.3.6d has been released.
Comment 4 Pawel Pekala freebsd_committer 2013-10-29 18:44:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-10-29 19:32:30 UTC
Author: pawel
Date: Tue Oct 29 19:32:15 2013
New Revision: 331982
URL: http://svnweb.freebsd.org/changeset/ports/331982

Log:
  Update to version 36.3.6d
  
  PR:		ports/181883
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/biology/fasta3/Makefile
  head/biology/fasta3/distinfo   (contents, props changed)
  head/biology/fasta3/files/patch-Makefile.freebsd   (contents, props changed)
  head/biology/fasta3/pkg-descr
  head/biology/fasta3/pkg-plist   (contents, props changed)

Modified: head/biology/fasta3/Makefile
==============================================================================
--- head/biology/fasta3/Makefile	Tue Oct 29 19:11:18 2013	(r331981)
+++ head/biology/fasta3/Makefile	Tue Oct 29 19:32:15 2013	(r331982)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	fasta3
-PORTVERSION=	36.3.6
+PORTVERSION=	36.3.6d
 CATEGORIES=	biology
 MASTER_SITES=	http://faculty.virginia.edu/wrpearson/fasta/fasta36/
 DISTNAME=	fasta-${PORTVERSION}
@@ -10,59 +10,60 @@ DISTNAME=	fasta-${PORTVERSION}
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Collection of programs for searching DNA and protein databases
 
+OPTIONS_DEFINE=	DOCS EXAMPLES
+
 NO_CDROM=	May not be sold or incorporated into a commercial product
+
 WRKSRC=		${WRKDIR}/${DISTNAME}
 BUILD_WRKSRC=	${WRKSRC}/src
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
-SUB_FILES=	pkg-message
+
 MAKEFILE=	Makefile.freebsd
+MAKE_ENV=	THR_LIBS="-pthread" XDIR="${STAGEDIR}${PREFIX}/bin" \
+		FASTA_HOST="$$(${UNAME} -n)"
 
-XDIR=		${PREFIX}/bin
-FASTA_HOST!=	/usr/bin/uname -n
+SUB_FILES=	pkg-message
 
-MAKE_ENV+=	THR_LIBS=${PTHREAD_LIBS} XDIR=${XDIR} \
-		FASTA_HOST='"${FASTA_HOST}"'
+PLIST_SUB=	VER="${PORTVERSION:R:R}"
 
-FASTA3_DOCS=	README.versions \
+MAN1_LINKS=	fastf35.1 fasts35.1 fastm35.1 fastx35.1 fasty35.1 \
+		ggsearch35.1 lalign35.1 ssearch35.1 tfasta35.1 tfastf35.1 \
+		tfasts35.1 tfastx35.1 tfasty35.1 prfx35.1 prss35.1
+MAN1_FILES=	fasta36.1 fastf3.1 fasts3.1 prss3.1 map_db.1 ps_lav.1
+DOC_FILES=	README.versions \
 		fasta_func.doc readme.* fasta.defaults \
 		fasta.options fasta_versions.html changes*.html
 DATA=		data/*.mat
 EXAMPLES=	seq/*.aa seq/*.lc seq/*.seq seq/*.lib
 
-MAN1=		fasta36.1 fastf3.1 fasts3.1 prss3.1 map_db.1 ps_lav.1
-MLINKS=		fasta36.1 tfasta35.1 fasta36.1 fastx35.1 fasta36.1 tfastx35.1 \
-		fasta36.1 fasty35.1 fasta36.1 tfasty35.1 fasta36.1 ssearch35.1 \
-		fasta36.1 fastf35.1 fasta36.1 fasts35.1 fasta36.1 tfasts35.1 \
-		fasta36.1 fastm35.1 fasta36.1 tfastf35.1 fasta36.1 ggsearch35.1 \
-		fasta36.1 lalign35.1 fasta36.1 prss35.1 fasta36.1 prfx35.1
-PLIST_SUB=	VER=${PORTVERSION:R:R}
-
-NO_STAGE=	yes
 post-patch:
-	@ ${CP} ${WRKSRC}/make/${MAKEFILE} ${BUILD_WRKSRC}/
+	@${CP} ${WRKSRC}/make/${MAKEFILE} ${BUILD_WRKSRC}
+
 post-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/bin/* ${PREFIX}/bin/
-	${INSTALL_DATA} ${WRKSRC}/conf/fastlibs ${PREFIX}/etc/fastlibs.sample
-	@ ${MKDIR} ${DATADIR}
+	(cd ${WRKSRC}/bin && ${INSTALL_PROGRAM} * ${STAGEDIR}${PREFIX}/bin)
+	(cd ${WRKSRC}/conf && ${INSTALL_DATA} fastlibs \
+		${STAGEDIR}${PREFIX}/etc/fastlibs.sample)
+	@${MKDIR} ${STAGEDIR}${DATADIR}
 .for data in ${DATA}
-	${INSTALL_DATA} ${WRKSRC}/${data} ${DATADIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${data} ${STAGEDIR}${DATADIR})
 .endfor
-	@ ${MKDIR} ${EXAMPLESDIR}
-.for ex in ${EXAMPLES}
-	${INSTALL_DATA} ${WRKSRC}/${ex} ${EXAMPLESDIR}
+.for manpage in ${MAN1_FILES}
+	(cd ${WRKSRC}/doc && ${INSTALL_MAN} ${manpage} \
+		${STAGEDIR}${MAN1PREFIX}/man/man1)
+.endfor
+.for links in ${MAN1_LINKS}
+	(${LN} -sf fasta36.1 ${STAGEDIR}${MAN1PREFIX}/man/man1/${links})
 .endfor
-.for manpage in ${MAN1}
-	${INSTALL_MAN} ${WRKSRC}/doc/${manpage} ${MAN1PREFIX}/man/man1/
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+.for i in COPYRIGHT FASTA_LIST README
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${STAGEDIR}${DOCSDIR})
 .endfor
-.if !defined(NOPORTDOCS)
-	@ ${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/COPYRIGHT ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/FASTA_LIST ${DOCSDIR}
-.for docfile in ${FASTA3_DOCS}
-	@ ${INSTALL_DATA} ${WRKSRC}/doc/${docfile} ${DOCSDIR}
+.for docfile in ${DOC_FILES}
+	(cd ${WRKSRC}/doc && ${INSTALL_DATA} ${docfile} ${STAGEDIR}${DOCSDIR})
+.endfor
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+.for ex in ${EXAMPLES}
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${ex} ${STAGEDIR}${EXAMPLESDIR})
 .endfor
-.endif
-	@ ${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>

Modified: head/biology/fasta3/distinfo
==============================================================================
--- head/biology/fasta3/distinfo	Tue Oct 29 19:11:18 2013	(r331981)
+++ head/biology/fasta3/distinfo	Tue Oct 29 19:32:15 2013	(r331982)
@@ -1,2 +1,2 @@
-SHA256 (fasta-36.3.6.tar.gz) = d6c526c307941fe8c98a16406cb01df6bb5712d3c2b7f4a90e126ceba682db6f
-SIZE (fasta-36.3.6.tar.gz) = 995298
+SHA256 (fasta-36.3.6d.tar.gz) = 6392741abecc8b25daeee53389584f48cee8a8ea7340c7f8cc97e149720a5730
+SIZE (fasta-36.3.6d.tar.gz) = 997714

Modified: head/biology/fasta3/files/patch-Makefile.freebsd
==============================================================================
--- head/biology/fasta3/files/patch-Makefile.freebsd	Tue Oct 29 19:11:18 2013	(r331981)
+++ head/biology/fasta3/files/patch-Makefile.freebsd	Tue Oct 29 19:32:15 2013	(r331982)
@@ -13,7 +13,7 @@
  
  BIN = ../bin
 -XDIR =		/usr/local/bin
-+XDIR =		${LOCALBASE}/bin
++XDIR?=		${LOCALBASE}/bin
  
  LIB_M+=		-lm
  

Modified: head/biology/fasta3/pkg-descr
==============================================================================
--- head/biology/fasta3/pkg-descr	Tue Oct 29 19:11:18 2013	(r331981)
+++ head/biology/fasta3/pkg-descr	Tue Oct 29 19:32:15 2013	(r331982)
@@ -14,5 +14,4 @@ Molecular Biology 132:185-219.
 The FASTA3 suite is distributed freely subject to the condition that it may
 not be sold or incorporated into a commercial product.
 
-Author: William R Pearson <wrp@virginia.edu>
 WWW: http://fasta.bioch.virginia.edu/

Modified: head/biology/fasta3/pkg-plist
==============================================================================
--- head/biology/fasta3/pkg-plist	Tue Oct 29 19:11:18 2013	(r331981)
+++ head/biology/fasta3/pkg-plist	Tue Oct 29 19:32:15 2013	(r331982)
@@ -17,11 +17,38 @@ bin/tfasts%%VER%%
 bin/tfastx%%VER%%
 bin/tfasty%%VER%%
 etc/fastlibs.sample
-%%PORTDOCS%%%%DOCSDIR%%/README
+man/man1/fasta36.1.gz
+man/man1/fastf3.1.gz
+man/man1/fastf35.1.gz
+man/man1/fastm35.1.gz
+man/man1/fasts3.1.gz
+man/man1/fasts35.1.gz
+man/man1/fastx35.1.gz
+man/man1/fasty35.1.gz
+man/man1/ggsearch35.1.gz
+man/man1/lalign35.1.gz
+man/man1/map_db.1.gz
+man/man1/prfx35.1.gz
+man/man1/prss3.1.gz
+man/man1/prss35.1.gz
+man/man1/ps_lav.1.gz
+man/man1/ssearch35.1.gz
+man/man1/tfasta35.1.gz
+man/man1/tfastf35.1.gz
+man/man1/tfasts35.1.gz
+man/man1/tfastx35.1.gz
+man/man1/tfasty35.1.gz
 %%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT
 %%PORTDOCS%%%%DOCSDIR%%/FASTA_LIST
+%%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/README.versions
+%%PORTDOCS%%%%DOCSDIR%%/changes_v34.html
+%%PORTDOCS%%%%DOCSDIR%%/changes_v35.html
+%%PORTDOCS%%%%DOCSDIR%%/changes_v36.html
+%%PORTDOCS%%%%DOCSDIR%%/fasta.defaults
+%%PORTDOCS%%%%DOCSDIR%%/fasta.options
 %%PORTDOCS%%%%DOCSDIR%%/fasta_func.doc
+%%PORTDOCS%%%%DOCSDIR%%/fasta_versions.html
 %%PORTDOCS%%%%DOCSDIR%%/readme.v30
 %%PORTDOCS%%%%DOCSDIR%%/readme.v30t6
 %%PORTDOCS%%%%DOCSDIR%%/readme.v30t7
@@ -33,57 +60,51 @@ etc/fastlibs.sample
 %%PORTDOCS%%%%DOCSDIR%%/readme.v35
 %%PORTDOCS%%%%DOCSDIR%%/readme.v36
 %%PORTDOCS%%%%DOCSDIR%%/readme.w32
-%%PORTDOCS%%%%DOCSDIR%%/fasta.defaults
-%%PORTDOCS%%%%DOCSDIR%%/fasta.options
-%%PORTDOCS%%%%DOCSDIR%%/fasta_versions.html
-%%PORTDOCS%%%%DOCSDIR%%/changes_v34.html
-%%PORTDOCS%%%%DOCSDIR%%/changes_v35.html
-%%PORTDOCS%%%%DOCSDIR%%/changes_v36.html
-%%EXAMPLESDIR%%/dyr_human.aa
-%%EXAMPLESDIR%%/egmsmg.aa
-%%EXAMPLESDIR%%/gstt1_drome.aa
-%%EXAMPLESDIR%%/gtm1_human.aa
-%%EXAMPLESDIR%%/gtt1_drome.aa
-%%EXAMPLESDIR%%/h10_human.aa
-%%EXAMPLESDIR%%/hahu.aa
-%%EXAMPLESDIR%%/lcbo.aa
-%%EXAMPLESDIR%%/m1r.aa
-%%EXAMPLESDIR%%/m2.aa
-%%EXAMPLESDIR%%/mchu.aa
-%%EXAMPLESDIR%%/mgstm1.aa
-%%EXAMPLESDIR%%/ms1.aa
-%%EXAMPLESDIR%%/musplfm.aa
-%%EXAMPLESDIR%%/mwkw.aa
-%%EXAMPLESDIR%%/mwrtc1.aa
-%%EXAMPLESDIR%%/myosin_bp.aa
-%%EXAMPLESDIR%%/n0.aa
-%%EXAMPLESDIR%%/n1.aa
-%%EXAMPLESDIR%%/n2.aa
-%%EXAMPLESDIR%%/n2s.aa
-%%EXAMPLESDIR%%/n2t.aa
-%%EXAMPLESDIR%%/ngt.aa
-%%EXAMPLESDIR%%/ngts.aa
-%%EXAMPLESDIR%%/oohu.aa
-%%EXAMPLESDIR%%/prio_atepa.aa
-%%EXAMPLESDIR%%/qrhuld.aa
-%%EXAMPLESDIR%%/titin_hum.aa
-%%EXAMPLESDIR%%/xurt8c.aa
-%%EXAMPLESDIR%%/xurtg.aa
-%%EXAMPLESDIR%%/mgstm1.lc
-%%EXAMPLESDIR%%/xurt8c.lc
-%%EXAMPLESDIR%%/bovgh.seq
-%%EXAMPLESDIR%%/bovprl.seq
-%%EXAMPLESDIR%%/gst.seq
-%%EXAMPLESDIR%%/hsgstm1b.seq
-%%EXAMPLESDIR%%/humgstd.seq
-%%EXAMPLESDIR%%/mgstm1.seq
-%%EXAMPLESDIR%%/mgstm1_genclone.seq
-%%EXAMPLESDIR%%/mgtt2_x.seq
-%%EXAMPLESDIR%%/titin_hum.seq
-%%EXAMPLESDIR%%/mu.lib
-%%EXAMPLESDIR%%/n2_fs.lib
-%%EXAMPLESDIR%%/n_fs.lib
-%%EXAMPLESDIR%%/prot_test.lib
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/bovgh.seq
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/bovprl.seq
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/dyr_human.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/egmsmg.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/gst.seq
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/gstt1_drome.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/gtm1_human.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/gtt1_drome.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/h10_human.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/hahu.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/hsgstm1b.seq
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/humgstd.seq
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/lcbo.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/m1r.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/m2.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/mchu.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/mgstm1.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/mgstm1.lc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/mgstm1.seq
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/mgstm1_genclone.seq
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/mgtt2_x.seq
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/ms1.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/mu.lib
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/musplfm.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/mwkw.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/mwrtc1.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/myosin_bp.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/n0.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/n1.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/n2.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/n2_fs.lib
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/n2s.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/n2t.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/n_fs.lib
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/ngt.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/ngts.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/oohu.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/prio_atepa.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/prot_test.lib
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/qrhuld.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/titin_hum.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/titin_hum.seq
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/xurt8c.aa
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/xurt8c.lc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/xurtg.aa
 %%DATADIR%%/blosum45.mat
 %%DATADIR%%/blosum50.mat
 %%DATADIR%%/blosum62.mat
@@ -97,6 +118,6 @@ etc/fastlibs.sample
 %%DATADIR%%/pam250.mat
 %%DATADIR%%/rna.mat
 %%DATADIR%%/vtml160.mat
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
-@dirrm %%EXAMPLESDIR%%
 @dirrm %%DATADIR%%
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Pawel Pekala freebsd_committer 2013-10-29 19:32:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!